Вопросы с тегом 'dpkg'

Утилита управления пакетами Debian, которая выполняет задачи более низкого уровня при установке и удалении программного обеспечения.
2
ответа

Что означает «выбор ранее отмененного пакета»?

Всякий раз, когда я устанавливаю программное обеспечение из командной строки, используя apt-get или aptitude , я вижу такие сообщения: Selecting previously deselected package foobar-cil-dev. Я понимаю «загрузку» и «настройку», но что...
задан 31.10.2010 в 17:50
3
ответа

gdebi vs dpkg: Как gdebi автоматически получает недостающие зависимости? Могу ли я использовать gdebi для всех других пакетов .deb?

Недавно мне довелось переустановить мой Ubuntu на Lubuntu 15.04. Поэтому я искал установку Skype и получил это хороший учебник . Это было действительно круто. Он загрузил официальный пакет skype deb из здесь Так как у меня уже нет gdeb...
задан 09.05.2015 в 06:20
3
ответа

Как удалить половину установленного пакета? (Sun JDK - Java)

Я попытался установить Sun JDK из sudo add-apt-repository ppa:eugenesan/java , это не удалось: Downloading... --2012-05-05 15:50:09-- http://download.oracle.com/otn-pub/java/jdk/7u3-b04/jdk-7u3-linux-x64.tar.gz Resolving download.oracle.com...
задан 05.05.2012 в 14:57
1
ответ

Ошибка: «dpkg был прерван, вы должны вручную запустить« sudo dpkg --configure -a », чтобы исправить проблему» [duplicate]

Я думаю, что я использовал что-то, связанное с dpkg , но я не могу вспомнить, что. После этого, когда мне нужно сделать несколько sudo-apt получить или даже получить sudo-apt обновление Я столкнулся со следующей проблемой: dpkg was...
задан 15.01.2016 в 21:05
2
ответа

Как исправить «неизвестную конфигурационную клавишу« внешняя архитектура », найденная в файлах конфигурации« dpkg ».»?

Всегда, когда я что-то устанавливаю, я получаю следующую ошибку несколько раз:    Неизвестный ключ конфигурации «foreign-architecture», найденный в вашем «dpkg»,   файлы конфигурации. Это предупреждение станет серьезной ошибкой на более поздн...
задан 20.12.2012 в 11:30
1
ответ

Будет ли обновление программного обеспечения с файлом «deb» удалить предыдущую версию?

Единство (среда программирования, а не GUI) имеет версия Linux, установленная с файлом deb . В настоящее время я запускаю эту бета-версию: unity-editor-5.5.0b2+20160906_amd64.deb Он продолжает рушиться, поэтому я хочу вернуться к...
задан 16.09.2016 в 15:11
3
ответа

dpkg: ошибка: не удалось получить доступ к области статуса dpkg: файловая система только для чтения

Я новичок в этой операционной системе Я установил Ubuntu 12.10, и мне было очень интересно использовать. Затем, как только я установил хромн из программного обеспечения ubuntu, я получил I/O Error После этого я не смог установить ка...
задан 19.03.2013 в 10:30
3
ответа

Как я могу исправить E: Sub-process / usr / bin / dpkg вернул код ошибки (2)?

Я получил эту ошибку после попытки загрузить плагин icedtea. После попытки sudo apt-get upgrade Я получил ту же самую ошибку: Preconfiguring packages ... dpkg: unrecoverable fatal error, aborting: unable to open files list file for pa...
задан 02.03.2015 в 15:55
1
ответ

Ubuntu 16.10: teamviewer: i386 зависит от libpng12-0 [duplicate]

Я не могу установить teamviewer. dpkg жалуется на неразрешенную зависимость: # dpkg -i teamviewer_11.0.67687_i386.deb Selecting previously unselected package teamviewer:i386. (Reading database ... 169209 files and directories currently ins...
задан 18.10.2016 в 23:39
1
ответ

Ubuntu 16.04: «Настройка snapd ..» и dpkg freezes

Я просто делал регулярное обновление: ~$ sudo apt-get upgrade Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upg...
задан 14.09.2016 в 09:14